
#Definite come directory di default quella dove si trovano i vostri dati (file, cambia directory...)

diete=read.table("datidiete.txt", header=T, na.strings="NA")


#Analizziamo le diete...

str(diete)

#Descriviamo le caratteristiche del campione (casuale? Da quale popolazione?)
summary(diete$eta)

hist(diete$eta, xlab="Age", prob=T, main="Distribution of age") 
#altre opzioni col="red", border="blue"....

xxx=seq(15, 80, 0.005)
boxplot(diete$eta)


lines(xxx,dnorm(xxx, mean=44.96, sd=11.78))


lines(xxx,dnorm(xxx,mean=mean(diete$eta), sd=sd(diete$eta)))

lines(density(diete$eta), lty=2, lwd=2 )

table(diete$sesso)
table(diete$sesso)/length(diete$sesso)
plot(diete$sesso)
pie(table(diete$sesso))

#confrontiamo i 4 campioni

diete.1=diete[diete$Terapia==1,]...
summary(diete$eta[diete$Terapia==1])...

tapply(diete$eta, diete$Terapia, summary)
tapply(diete$eta, diete$Terapia, mean)
tapply(diete$eta, diete$Terapia, var)

plot(density(diete.1$eta), xlim=c(15,80), lty=1, col=1,
main="Distributions by therapy", xlab="Age")
lines(density(diete.2$eta), lty=2, col=2)
lines(density(diete.3$eta), lty=3, col=3)
lines(density(diete.4$eta), lty=4, col=4)
legend(60, 0.04, c("1", "2", "3", "4"), 
col = c(1,2,6,4), text.col = "blue4", lty = c(1,2,3,4))

boxplot(diete$eta~diete$Terapia)

t.test(diete.1$eta, diete.2$eta)

curve(dt(x, df=76), -3,3)
qt(0.025, df=76)
var.test(diete.1$eta, diete.2$eta)

var(diete.1$eta)
var(diete.2$eta)

t.test(diete.1$eta, diete.2$eta, var.equal=T)
wilcox.test(diete.1$eta, diete.2$eta)


tabella=table(diete$sesso, diete$Terapia)
prop.table(table(diete$sesso, diete$Terapia))

prop.table(table(diete$Terapia[diete$sesso=="F"]))

prop.table(table(diete$Terapia[diete$sesso=="M"]))

library(gmodels)

with(diete, CrossTable(sesso, Terapia))

chi.qua=chisq.test(tabella)
str(chi.qua)
chi.qua$p.value
chi.qua$observed
chi.qua$expected

curve(dchisq(x, df=3), 0, 10)
qchisq(0.05, df=3)

fisher.test(tabella)

diete.1$delta1bmi=diete.1$BMI1contr-diete.1$BMI
hist(diete.1$delta1bmi)
t.test(diete.1$delta1bmi)
t.test(diete.1$BMI, diete.1$BMI1contr, paired=T)

diete.1$delta2bmi=diete.1$BMI2c-diete.1$BMI
diete.1$delta21bmi=diete.1$BMI2c-diete.1$BMI1contr

t.test(diete.1$delta1bmi, diete.2$delta1bmi)


diete$delta1bmi=diete$BMI1contr-diete$BMI

with(diete, t.test(delta1bmi[Terapia == 1], delta1bmi[Terapia == 3]))

medie=tapply(diete$delta1bmi, diete$Terapia, mean)
sd=tapply(diete$delta1bmi, diete$Terapia, sd)
nn=tapply(diete$delta1bmi, diete$Terapia, length)
se=sd/sqrt(nn)
upp=medie+1.96*se
low=medie-1.96*se

plot(medie, ylim=c(-4, -1), pch=16, col=2)
points(upp, pch=1, col=4)
points(low, pch=1, col=4)

boxplot(diete$delta1BMI~diete$Terapia)


abline
matplot